Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ispace
Class AgentRelationship

    java.lang.Object
      ix.util.EnumeratedValue
          ix.ispace.AgentRelationship

All Implemented Interfaces:
  SemiPrimitive, java.io.Serializable

    public final class AgentRelationship

extends EnumeratedValue

Standard relationships between agents.

See Also:
  Serialized Form

Field Summary
`static AgentRelationship` | `CONTACT`
`static AgentRelationship` | `NONE`
`static AgentRelationship` | `PEER`
`static AgentRelationship` | `SERVICE`
`static AgentRelationship` | `SUBORDINATE`
`static AgentRelationship` | `SUPERIOR`

Fields inherited from class ix.util.EnumeratedValue
`name`

Method Summary
`java.lang.String` | `toString()`
`static AgentRelationship` | `valueOf(java.lang.String name)`
`static java.util.List` | `values()`

Methods inherited from class ix.util.EnumeratedValue
`getValue, getValueElseError, readResolve, recordValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUPERIOR

    public static final AgentRelationship SUPERIOR

### SUBORDINATE

    public static final AgentRelationship SUBORDINATE

### PEER

    public static final AgentRelationship PEER

### CONTACT

    public static final AgentRelationship CONTACT

### SERVICE

    public static final AgentRelationship SERVICE

### NONE

    public static final AgentRelationship NONE

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### values

    public static java.util.List values()

### valueOf

    public static AgentRelationship valueOf(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD